import request from '@/utils/request'

// 查询简答题考试记录列表
export function listShortAnswerQuestions(query) {
  return request({
    url: '/model/ShortAnswerQuestions/list',
    method: 'get',
    params: query
  })
}

// 查询简答题考试记录详细
export function getShortAnswerQuestions(shortAnswerQuestionsId) {
  return request({
    url: '/model/ShortAnswerQuestions/' + shortAnswerQuestionsId,
    method: 'get'
  })
}

// 新增简答题考试记录
export function addShortAnswerQuestions(data) {
  return request({
    url: '/model/ShortAnswerQuestions',
    method: 'post',
    data: data
  })
}

// 修改简答题考试记录
export function updateShortAnswerQuestions(data) {
  return request({
    url: '/model/ShortAnswerQuestions',
    method: 'put',
    data: data
  })
}

// 删除简答题考试记录
export function delShortAnswerQuestions(shortAnswerQuestionsId) {
  return request({
    url: '/model/ShortAnswerQuestions/' + shortAnswerQuestionsId,
    method: 'delete'
  })
}
